import request from '@/utils/request'

// 查询卡分配记录列表
export function listBBusiCardsOpen(query) {
  return request({
    url: '/back/bBusiCardsOpen/list',
    method: 'get',
    params: query
  })
}

// 查询卡分配记录详细
export function getBBusiCardsOpen(id) {
  return request({
    url: '/back/bBusiCardsOpen/' + id,
    method: 'get'
  })
}

// 新增卡分配记录
export function addBBusiCardsOpen(data) {
  return request({
    url: '/back/bBusiCardsOpen',
    method: 'post',
    data: data
  })
}

// 修改卡分配记录
export function updateBBusiCardsOpen(data) {
  return request({
    url: '/back/bBusiCardsOpen',
    method: 'put',
    data: data
  })
}

// 删除卡分配记录
export function delBBusiCardsOpen(id) {
  return request({
    url: '/back/bBusiCardsOpen/' + id,
    method: 'delete'
  })
}

// 导出卡分配记录
export function exportBBusiCardsOpen(query) {
  return request({
    url: '/back/bBusiCardsOpen/export',
    method: 'get',
    params: query
  })
}